### ShowConnections

Category

Realization

Function

Draws the connective elements of a field.

Syntax

    output = ShowConnections(input);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | field | none | field whose connection elements are to be shown.

Outputs

Name | Type | Description
--- | --- | ---
`output` | color field | renderable connections of input field

Functional Details

This module creates a set of renderable lines representing the "connections" component of a specified input.

`input` | specifies the object whose connection elements are to be shown.

Notes:

1. If the input object lacks a "colors" component, the module adds a default color to the output.
2. Position-dependent color and data components are passed to the output. Connection-dependent color and data components are not passed to the output, because their values along a connection line are ill defined. To make the data or colors position-dependent, use the Post module.

Components

Creates a new "connections" component and adds a "colors" component if the input does not already have one. Connection-dependent components are not propagated to the output; all other components are.

Example Visual Programs

    SIMPLE/Refine.net
    ConnectingScatteredPoints.net
    ImportExternalFilter.net
    PlotLine.net
    Isolate.net
    UsingStreakline.net

See Also

Post, ShowBoundary, ShowBox, ShowPositions

[ OpenDX Home at IBM | OpenDX.org ]